Scrubber (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.compaction

## Class Scrubber

- java.lang.Object
- - org.apache.cassandra.db.compaction.Scrubber

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class Scrubber
      extends java.lang.Object
      implements java.io.Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scrubber(ColumnFamilyStore cfs, SSTableReader sstable, boolean skipCorrupted, boolean isOffline)`
    `Scrubber(ColumnFamilyStore cfs, SSTableReader sstable, boolean skipCorrupted, OutputHandler outputHandler, boolean isOffline)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `SSTableReader` | `getNewInOrderSSTable()`
    `SSTableReader` | `getNewSSTable()`
    `CompactionInfo.Holder` | `getScrubInfo()`
    `void` | `scrub()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scrubber

          public Scrubber(ColumnFamilyStore cfs,
                  SSTableReader sstable,
                  boolean skipCorrupted,
                  boolean isOffline)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### Scrubber

          public Scrubber(ColumnFamilyStore cfs,
                  SSTableReader sstable,
                  boolean skipCorrupted,
                  OutputHandler outputHandler,
                  boolean isOffline)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### scrub

          public void scrub()

    - #### getNewSSTable

          public SSTableReader getNewSSTable()

    - #### getNewInOrderSSTable

          public SSTableReader getNewInOrderSSTable()

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### getScrubInfo

          public CompactionInfo.Holder getScrubInfo()

Copyright © 2014 The Apache Software Foundation